Support » Plugins and Hacks » Hashcash and gzip – output handler ob_gzhandler cannot be used

  • I installed Hashcash on my weblog recently. It works great, but on opening a new browser instance the following error is pre-pended to the page output (gzip is ‘on’ in WordPress settings):

    <tt>ob_start(): output handler ‘ob_gzhandler’ cannot be used after ‘URL-Rewriter’ in /home/ [snip] /wp-includes/functions.php on line 585</tt>

    This happens on individual post pages and monthly archives. Oddly enough, doing a hard reload (Ctrl+F5) makes this error message disappear. (Running on Firefox 1.0.6 on Ubuntu 5.04.)

    I’m not sure this is Hashcash’s fault, but it did start happening after I enabled Hashcash. I’ve now disabled gzip on my blog (thereby making the problem go away) until I figure out why this occurs.

    I guess I’m not the only one to be affected by this: Google found at least two other weblogs and a commenter on elliottback.com reported this as well.

    Any tips to fix this would be appreciated. Thanks!

Viewing 2 replies - 1 through 2 (of 2 total)
  • This is on WordPress 1.5.2.

    Incidentally, IE/XPSP2 is affected as well, as is Links on Debian. Noticeably, Firefox on XPSP2 _seems_ to be not affected, but that could be because I was logged in there.

    Also, it seems a lot of other wordpress plugins have faced this problem.

    It’s not a browser problem, it’s a PHP problem. Disable sending the pages gzipped in the WordPress options (will have to login as admin to do this).

    This error will also show up in RSS feeds.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Hashcash and gzip – output handler ob_gzhandler cannot be used’ is closed to new replies.